Bug 447013 - Taking iwlagn interface down slows down system for 1-2 seconds
Taking iwlagn interface down slows down system for 1-2 seconds
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 19:15 EDT by James Ettle
Modified: 2009-02-23 23:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 10:41:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ettle 2008-05-16 19:15:46 EDT
Description of problem:
Taking the iwl4965 interface down (e.g., via NetworkManager or ifconfig wlan0
down) causes the system to become slow for a 1-2 seconds (mouse and screen
update very jerky, sound sticks).

Version-Release number of selected component (if applicable):
kernel-2.6.24.7-92.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Take wlan0 down.
  
Actual results:
System sluggish for a few seconds.

Expected results:
That this does not happen.

Additional info:
No ominous messages found in dmesg.

$ cat /proc/interrupts 
           CPU0       CPU1       
  0:        254         60   IO-APIC-edge      timer
  1:          4       8861   IO-APIC-edge      i8042
  8:          2          1   IO-APIC-edge      rtc
  9:        233     465474   IO-APIC-fasteoi   acpi
 12:     214259         67   IO-APIC-edge      i8042
 14:      13829      68661   IO-APIC-edge      libata
 15:      98012         44   IO-APIC-edge      libata
 17:          0      57472   IO-APIC-fasteoi   uhci_hcd:usb3, sdhci:slot0,
sdhci:slot0, i915@pci:0000:00:02.0
 18:    1801640        494   IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb7
 19:     223975          3   IO-APIC-fasteoi   uhci_hcd:usb6, firewire_ohci
 20:       5772          1   IO-APIC-fasteoi   ehci_hcd:usb2, uhci_hcd:usb5
 21:          0          0   IO-APIC-fasteoi   uhci_hcd:usb4
 22:     305432        145   IO-APIC-fasteoi   HDA Intel
216:     231627     339343   PCI-MSI-edge      iwl4965
217:       2255       3146   PCI-MSI-edge      eth0
NMI:          0          0   Non-maskable interrupts
LOC:   18778974   18636674   Local timer interrupts
RES:    2333168    2505174   Rescheduling interrupts
CAL:        431        217   function call interrupts
TLB:      18156      17263   TLB shootdowns
TRM:          0          0   Thermal event interrupts
SPU:          0          0   Spurious interrupts
ERR:          0
MIS:          0
Comment 1 James Ettle 2008-07-22 03:02:35 EDT
Still happens with kernel 2.6.25.11-60.fc8.
Comment 2 James Ettle 2008-10-17 07:25:40 EDT
Still present in kernel-PAE-2.6.26.6-46.fc8.
Comment 3 James Ettle 2008-10-20 04:58:29 EDT
Seen in x86-64 with kernel-2.6.26.6-79.fc9.x86_64.
Comment 4 James Ettle 2008-10-30 06:37:52 EDT
Also in kernel-2.6.27.4-58.fc10.x86_64 from Rawhide.
Comment 5 James Ettle 2008-11-09 07:30:46 EST
Seen in kernel-2.6.27.5-30.fc9.x86_64, with iwlagn driver.
Comment 6 Bug Zapper 2008-11-26 05:43:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bradley 2008-11-26 05:51:33 EST
Happens with 2.6.27.5-117.fc10.x86_64
Comment 8 James Ettle 2008-12-01 19:43:06 EST
This seems to be gathering some momentum upstream:

http://www.intellinuxwireless.org/bugzilla/show_bug.cgi?id=1790
Comment 9 James Ettle 2008-12-02 15:33:56 EST
There a claim of a fix now in the above link.
Comment 10 John W. Linville 2008-12-11 13:47:10 EST
Yes, unfortunately that patch does not apply cleanly to 2.6.27 or even 2.6.28-rc7.  It will be a while before this is available in Fedora...
Comment 11 John W. Linville 2009-01-14 16:01:02 EST
Could you try a Rawhide kernel?  Is the problem resolved there?
Comment 12 James Ettle 2009-01-16 03:54:05 EST
The problem appears fixed in kernel-2.6.29-0.38.rc1.git4.fc11.x86_64. I've disabled wireless several times now without screen update interruption, sound skipping, or PS/2 port or ACPI EC timeouts.
Comment 13 John W. Linville 2009-01-16 10:41:50 EST
Woohoo!
Comment 14 James Ettle 2009-01-16 10:49:40 EST
John, is there any chance this will make it back into one of the more mature F10 kernel lines?
Comment 15 John W. Linville 2009-01-19 10:04:36 EST
Most likely not until 2.6.29 is released...sorry. :-(

Note You need to log in before you can comment on or make changes to this bug.